<?xml version="1.0" encoding="gb2312"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:rs="urn:schemas-microsoft-com:rowset"
xmlns:z="#RowsetSchema"> 
	<!--
	Copyright (C) 2004,2005 LaoMiao. All rights reserved.
	Web: http://www.shuijingjing.com/
	Email: laomiao@shuijingjing.com
	-->
	<xsl:output method="html" indent="yes" version="4.0"/>
	<xsl:variable name="TableTop"><![CDATA[<tr>]]></xsl:variable>
	<xsl:variable name="TableBottom"><![CDATA[</tr>]]></xsl:variable>
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="/">
		<style type="text/css">
		TD {font-size:12px;line-height:15px;}
		</style>
		<script type="text/javascript" language="javascript" src="Dv_Plus/Avatar/Plus_Avatar.js"></script>
		<script type="text/javascript" language="javascript">
		<xsl:choose>
		<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=705;</xsl:when>
		<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '497' and /Plus_Avatar/CurrentInfo/@CurPhotoID != '' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner = '1' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=655;</xsl:when>
		<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '297' or /Plus_Avatar/CurrentInfo/@CurShopID = '397' or /Plus_Avatar/CurrentInfo/@CurShopID = '497') and /Plus_Avatar/CurrentInfo/@CurPhotoID != ''">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=525;</xsl:when>
		<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '297' or /Plus_Avatar/CurrentInfo/@CurShopID = '397' or /Plus_Avatar/CurrentInfo/@CurShopID = '497'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=<xsl:value-of select="/Plus_Avatar/CurrentInfo/@FrameHeight"/>;</xsl:when>
		<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1')  and /Plus_Avatar/AvatarInfo/@CanCreateImage != '0'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=<xsl:value-of select="(/Plus_Avatar/AvatarInfo/@PhotoHeight + 180) * 2 + 70"/>;</xsl:when>
		<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1')  and /Plus_Avatar/AvatarInfo/@CanCreateImage = '0'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=<xsl:value-of select="(/Plus_Avatar/AvatarInfo/@PhotoHeight + 159) * 2 + 70"/>;</xsl:when>
		<xsl:when test="/Plus_Avatar/AvatarInfo/@CanCreateImage != '0'">if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=<xsl:value-of select="(/Plus_Avatar/AvatarInfo/@PhotoHeight + 149) * 2 + 70"/>;</xsl:when>
		<xsl:otherwise>if(parent.location != self.location) parent.document.getElementById('PhotoFrame').height=<xsl:value-of select="(/Plus_Avatar/AvatarInfo/@PhotoHeight + 138) * 2 + 70"/>;</xsl:otherwise>
		</xsl:choose>
		if(parent.location != self.location) parent.document.SearchURL = '<xsl:value-of select="/Plus_Avatar/CurrentSearchInfo/@SearchURL"/>';
		if(parent.location != self.location) parent.document.CurShopID = '<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>';
		<xsl:choose>
		<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentInfo/@CurShopID = '697'">if(parent.location != self.location) parent.document.getElementById('SearchTable').style.display='inline';</xsl:when>
		<xsl:otherwise>if(parent.location != self.location) parent.document.getElementById('SearchTable').style.display='none';</xsl:otherwise>
		</xsl:choose>
		<xsl:for-each select="/Plus_Avatar/AvatarTypeList/AvatarType"><xsl:if test="@TypeName != '' and (/Plus_Avatar/CurrentInfo/@CurTypeID) = @TypeID">parent.document.CurSeqNo = <xsl:value-of select="position()"/>;</xsl:if></xsl:for-each>
		function MouseLeave() {
			if(parent.location != self.location) parent.ShowSubMenu('<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurSubTypeIDList"/>','<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurSubTypeNameList"/>','<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurMySex"/>','<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurSex"/>');
		}
		MouseLeave();
		if(parent.location != self.location) parent.document.getElementById("MenuRow").parentElement.parentElement.onmouseleave=MouseLeave;
		<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">
		function DoTitle(addTitle) {  
			var revisedTitle;  
			var currentTitle = document.getElementById("PhotoUser").value;
			if(currentTitle=="") revisedTitle = addTitle; 
			else { 
				var arr = currentTitle.split(","); 
				for (var i=0; i &lt; arr.length; i++)
					if( addTitle.indexOf(arr[i]) &gt;=0 &amp;&amp; arr[i].length==addTitle.length ) return; 
				revisedTitle = currentTitle+","+addTitle; 
			} 
			document.getElementById("PhotoUser").value=revisedTitle;  
			document.getElementById("PhotoUser").focus(); 
			return; 
		}
		function SetupPhotoMyself(flag) {
			if(flag){
				document.getElementById("PhotoUser").disabled=true;
				document.getElementById("PhotoUser").value="";
				document.getElementById("SelFriend").disabled=true;
				document.getElementById("PhotoMsg").disabled=true;
				document.getElementById("PhotoMsg").value="";
			} else {
				document.getElementById("PhotoUser").disabled=false;
				document.getElementById("SelFriend").disabled=false;
				document.getElementById("PhotoMsg").disabled=false;
			}
		}
		function ClearRequest() {
			document.getElementById("photo_bg").src="about:blank";
			document.getElementById("photo_bg").style.display="none";
			document.getElementById("photo_bodyback").src="about:blank";
			document.getElementById("photo_bodyback").style.display="none";
			document.getElementById("photo_bodyfore").src="about:blank";
			document.getElementById("photo_bodyfore").style.display="none";
			document.getElementById("photo_fg").src="about:blank";
			document.getElementById("photo_fg").style.display="none";
		}
		</xsl:if>
		<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentInfo/@CurShopID = '697'">
		function ConfirmDeletePhoto(PhotoID, ShopID) {
			if(confirm('您确定删除这张照片吗?')) {
				document.location='Plus_Avatar_PhotoSave.asp?action=DeletePhoto&amp;photoid=' + PhotoID + '&amp;shopid=' + ShopID;
			}
		}
		</xsl:if>
		</script>
		<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '497' and /Plus_Avatar/CurrentInfo/@CurPhotoID != '' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner = '1' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0'">
		<style type="text/css">
		td.ToolBarUp {border-left:2px solid #e0e0e0;border-top:2px solid #e0e0e0;border-right:2px solid #808080;border-bottom:2px solid #808080;background-color:#c0c0c0;}
		td.ToolBarDown {border-left:2px solid #808080;border-top:2px solid #808080;border-right:2px solid #e0e0e0;border-bottom:2px solid #e0e0e0;background-color:#c0c0c0;}
		td.ToolBarDisable {border-left:2px solid #e0e0e0;border-top:2px solid #e0e0e0;border-right:2px solid #808080;border-bottom:2px solid #808080;background-color:#c0c0c0;}
		<!--td.ToolBarDisable {border-left:2px solid #a0a0a0;border-top:2px solid #a0a0a0;border-right:2px solid #a0a0a0;border-bottom:2px solid #a0a0a0;background-color:#c0c0c0;}-->
		</style>
		</xsl:if>
		<xsl:choose>
		<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197' or ((/Plus_Avatar/CurrentInfo/@CurShopID = '297' or /Plus_Avatar/CurrentInfo/@CurShopID = '397' or /Plus_Avatar/CurrentInfo/@CurShopID = '497') and /Plus_Avatar/CurrentInfo/@CurPhotoID != '')">
			<form action="Plus_Avatar_PhotoSave.asp" method="post">
			<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">
			<input type="hidden" id="FromAvatar" name="FromAvatar" value="{/Plus_Avatar/CurrentUserInfo/@MyAvatar}"/>
			</xsl:if>
			<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'">
			<input type="hidden" id="UserAvatar" name="UserAvatar" value="{/Plus_Avatar/CurrentUserInfo/@MyAvatar}"/>
			</xsl:if>
			<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID != '197'">
			<input type="hidden" id="PhotoName" name="PhotoName" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoName}"/>
			<input type="hidden" id="PhotoMsg" name="PhotoMsg" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoExplain}"/>
			<input type="hidden" id="PhotoBg" name="PhotoBg" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoBackground}"/>
			<input type="hidden" id="PhotoBodyBack" name="PhotoBodyBack" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyBack}"/>
			<input type="hidden" id="PhotoBodyFore" name="PhotoBodyFore" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyFront}"/>
			<input type="hidden" id="PhotoFg" name="PhotoFg" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoForeground}"/>
			</xsl:if>
			<input type="hidden" id="BgWidth" name="BgWidth" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoBgWidth}"/>
			<input type="hidden" id="BgHeight" name="BgHeight" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoBgHeight}"/>
			<input type="hidden" id="bgfname" name="bgfname" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoUploadFile}"/>
			<input type="hidden" id="PhotoNameLeft" name="PhotoNameLeft" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameLeft}"/>
			<input type="hidden" id="PhotoNameWidth" name="PhotoNameWidth" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameWidth}"/>
			<input type="hidden" id="PhotoNameTop" name="PhotoNameTop" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameTop}"/>
			<input type="hidden" id="PhotoNameFont" name="PhotoNameFont" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameFontName}"/>
			<input type="hidden" id="PhotoNameSize" name="PhotoNameSize" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameFontSize}"/>
			<input type="hidden" id="PhotoNameBold" name="PhotoNameBold" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameFontBold}"/>
			<input type="hidden" id="PhotoNameItalic" name="PhotoNameItalic" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameFontItalic}"/>
			<input type="hidden" id="PhotoNameColor" name="PhotoNameColor" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameFontColor}"/>
			<input type="hidden" id="PhotoNameDirection" name="PhotoNameDirection" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoNameDirection}"/>
			<input type="hidden" id="PhotoDate" name="PhotoDate" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDate}"/>
			<input type="hidden" id="PhotoDateLeft" name="PhotoDateLeft" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateLeft}"/>
			<input type="hidden" id="PhotoDateWidth" name="PhotoDateWidth" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateWidth}"/>
			<input type="hidden" id="PhotoDateTop" name="PhotoDateTop" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateTop}"/>
			<input type="hidden" id="PhotoDateFont" name="PhotoDateFont" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateFontName}"/>
			<input type="hidden" id="PhotoDateSize" name="PhotoDateSize" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateFontSize}"/>
			<input type="hidden" id="PhotoDateBold" name="PhotoDateBold" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateFontBold}"/>
			<input type="hidden" id="PhotoDateItalic" name="PhotoDateItalic" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateFontItalic}"/>
			<input type="hidden" id="PhotoDateColor" name="PhotoDateColor" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateFontColor}"/>
			<input type="hidden" id="PhotoDateDirection" name="PhotoDateDirection" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoDateDirection}"/>
			<xsl:for-each select="/Plus_Avatar/CurrentPhotoInfo/PhotoUser">
				<input type="hidden" id="UserAvaSetting_{position()}" name="UserAvaSetting_{position()}" value="{@UserAvaSetting}"/>
				<input type="hidden" id="LayerNo_{position()}" name="LayerNo_{position()}" value="{@LayerNo}"/>
				<input type="hidden" id="AvatarOuterLeft_{position()}" name="AvatarOuterLeft_{position()}" value="{@AvatarOuterLeft}"/>
				<input type="hidden" id="AvatarOuterTop_{position()}" name="AvatarOuterTop_{position()}" value="{@AvatarOuterTop}"/>
				<input type="hidden" id="AvatarOuterWidth_{position()}" name="AvatarOuterWidth_{position()}" value="{@AvatarOuterWidth}"/>
				<input type="hidden" id="AvatarOuterHeight_{position()}" name="AvatarOuterHeight_{position()}" value="{@AvatarOuterHeight}"/>
				<input type="hidden" id="AvatarInnerLeft_{position()}" name="AvatarInnerLeft_{position()}" value="{@AvatarInnerLeft}"/>
				<input type="hidden" id="AvatarInnerTop_{position()}" name="AvatarInnerTop_{position()}" value="{@AvatarInnerTop}"/>
				<input type="hidden" id="AvatarInnerWidth_{position()}" name="AvatarInnerWidth_{position()}" value="{@AvatarInnerWidth}"/>
				<input type="hidden" id="AvatarInnerHeight_{position()}" name="AvatarInnerHeight_{position()}" value="{@AvatarInnerHeight}"/>
				<input type="hidden" id="AvatarDirection_{position()}" name="AvatarDirection_{position()}" value="{@AvatarDirection}"/>
				<input type="hidden" id="UserName_{position()}" name="UserName_{position()}" value="{@UserName}"/>
				<input type="hidden" id="UserNameLeft_{position()}" name="UserNameLeft_{position()}" value="{@UserNameLeft}"/>
				<input type="hidden" id="UserNameWidth_{position()}" name="UserNameWidth_{position()}" value="{@UserNameWidth}"/>
				<input type="hidden" id="UserNameTop_{position()}" name="UserNameTop_{position()}" value="{@UserNameTop}"/>
				<input type="hidden" id="UserNameFont_{position()}" name="UserNameFont_{position()}" value="{@UserNameFont}"/>
				<input type="hidden" id="UserNameSize_{position()}" name="UserNameSize_{position()}" value="{@UserNameSize}"/>
				<input type="hidden" id="UserNameBold_{position()}" name="UserNameBold_{position()}" value="{@UserNameBold}"/>
				<input type="hidden" id="UserNameItalic_{position()}" name="UserNameItalic_{position()}" value="{@UserNameItalic}"/>
				<input type="hidden" id="UserNameColor_{position()}" name="UserNameColor_{position()}" value="{@UserNameColor}"/>
				<input type="hidden" id="UserNameDirection_{position()}" name="UserNameDirection_{position()}" value="{@UserNameDirection}"/>
			</xsl:for-each>
			<xsl:for-each select="/Plus_Avatar/CurrentPhotoInfo/PhotoAccouterment">
				<input type="hidden" id="AccoutermentSeqNo_{position()}" name="AccoutermentSeqNo_{position()}" value="{@SeqNo}"/>
				<input type="hidden" id="AccoutermentItemID_{position()}" name="AccoutermentItemID_{position()}" value="{@ItemID}"/>
				<input type="hidden" id="AccoutermentOuterLeft_{position()}" name="AccoutermentOuterLeft_{position()}" value="{@OuterLeft}"/>
				<input type="hidden" id="AccoutermentOuterTop_{position()}" name="AccoutermentOuterTop_{position()}" value="{@OuterTop}"/>
				<input type="hidden" id="AccoutermentOuterWidth_{position()}" name="AccoutermentOuterWidth_{position()}" value="{@OuterWidth}"/>
				<input type="hidden" id="AccoutermentOuterHeight_{position()}" name="AccoutermentOuterHeight_{position()}" value="{@OuterHeight}"/>
				<input type="hidden" id="AccoutermentInnerLeft_{position()}" name="AccoutermentInnerLeft_{position()}" value="{@InnerLeft}"/>
				<input type="hidden" id="AccoutermentInnerTop_{position()}" name="AccoutermentInnerTop_{position()}" value="{@InnerTop}"/>
				<input type="hidden" id="AccoutermentInnerWidth_{position()}" name="AccoutermentInnerWidth_{position()}" value="{@InnerWidth}"/>
				<input type="hidden" id="AccoutermentInnerHeight_{position()}" name="AccoutermentInnerHeight_{position()}" value="{@InnerHeight}"/>
				<input type="hidden" id="AccoutermentDirection_{position()}" name="AccoutermentDirection_{position()}" value="{@Direction}"/>
			</xsl:for-each>
			<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID != '197'"><input type="hidden" id="photoid" name="photoid" value="{/Plus_Avatar/CurrentInfo/@CurPhotoID}"/></xsl:if>
			<xsl:choose>
			<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'"><input type="hidden" name="action" value="SaveRequest"/></xsl:when>
			<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'"><input type="hidden" name="action" value="ConfirmRequest"/></xsl:when>
			<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '497'"><xsl:choose><xsl:when test="/Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner != '0'"><input type="hidden" name="action" value="SaveDesign"/></xsl:when><xsl:otherwise><input type="hidden" name="action" value="AcceptDesign"/></xsl:otherwise></xsl:choose></xsl:when>
			</xsl:choose>
			<table border="0" cellspacing="1" cellpadding="0" class="tableborder1" align="center">
				<col width="30%"/><col width="*"/>
				<tr height="25">
					<th colspan="2"><xsl:value-of select="/Plus_Avatar/@ForumName"/>照相馆<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>-<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurSubTypeName"/></th>
				</tr>
				<tr height="30">
					<td class="tablebody2" align="right">照片的名称：</td>
					<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'"><input type="text" id="PhotoName" name="PhotoName" size="80" maxlength="50" onchange="KeyTitle(this.value)"/></xsl:when><xsl:otherwise><b><xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoName"/></b></xsl:otherwise></xsl:choose></td>
				</tr>
				<tr height="90">
					<td class="tablebody2" align="right">请求的内容：</td>
					<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'"><textarea rows="5" cols="80" id="PhotoMsg" name="PhotoMsg"><xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoExplain"/></textarea></xsl:when><xsl:otherwise><textarea rows="5" cols="80" readonly="true" style="font-weight:bold"><xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoExplain"/></textarea></xsl:otherwise></xsl:choose></td>
				</tr>
				<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID != '197'">
					<tr height="30">
						<td class="tablebody2" align="right">发起者：</td>
						<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="dispuser.asp?name={/Plus_Avatar/CurrentPhotoInfo/@PhotoSponsor}" target="_blank"><b><xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoSponsor"/></b></a></td>
					</tr>
				</xsl:if>
				<tr height="30">
					<td class="tablebody2" align="right">参与者：</td>
					<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'"><input type="text" id="PhotoUser" name="PhotoUser" size="50" value="{/Plus_Avatar/CurrentPhotoInfo/@PhotoParticipator}"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><select id="SelFriend" name="SelFriend" onchange="if(this.options[this.selectedIndex].value!='') DoTitle(this.options[this.selectedIndex].value)"><option selected="true" value="">选择好友</option><xsl:for-each select="/Plus_Avatar/CurrentUserInfo/MyFriend"><option value="{@FriendName}"><xsl:value-of select="@FriendName"/></option></xsl:for-each></select></xsl:when><xsl:otherwise><b><xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoParticipator"/></b></xsl:otherwise></xsl:choose></td>
				</tr>
				<tr height="30">
					<td class="tablebody2" align="right">照片的状态：</td>
					<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'"><input type="radio" name="PhotoStatus" value="0"/>保密<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text><input type="radio" name="PhotoStatus" value="1" checked="true"/>公开<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><input type="checkbox" id="PhotoMyself" name="PhotoMyself" value="1" onclick="SetupPhotoMyself(this.checked)"/>个人写真<xsl:if test="/Plus_Avatar/CurrentUserInfo/@IsMaster != '0'"><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><input type="checkbox" name="forcephoto" value="1"/>强制照相</xsl:if></xsl:when><xsl:otherwise><b><xsl:choose><xsl:when test="/Plus_Avatar/CurrentPhotoInfo/@PhotoStatus != '0'">公开</xsl:when><xsl:otherwise>保密</xsl:otherwise></xsl:choose></b></xsl:otherwise></xsl:choose></td>
				</tr>
				<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">
					<tr height="30">
						<td class="tablebody2" align="right">后部效果：</td>
						<td class="tablebody2" align="left"><table width="100%" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="tablebody2" width="50%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>背景：<select id="PhotoBg" name="PhotoBg" onchange="selBg('{/Plus_Avatar/AvatarInfo/@LocalPic}','{/Plus_Avatar/AvatarInfo/@PicPath}','{/Plus_Avatar/AvatarInfo/@PhotoPath}',this.options[this.selectedIndex].value,'{/Plus_Avatar/AvatarInfo/@PhotoWidth}','{/Plus_Avatar/AvatarInfo/@AvatarWidth}','{/Plus_Avatar/CurrentUserInfo/@MyAvatar}')"><option value=""><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBackground = ''"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>空白背景</option><option value="0"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBackground = '0'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>我的背景</option><option value="-1"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBackground = '-1'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>上传的背景</option><xsl:for-each select="/Plus_Avatar/PhotoBackgroundList/PhotoBackground"><xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0' or @VIP = '0'"><option value="{@ID}.{@Content}"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBackground = @ID"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@Name"/></option></xsl:if></xsl:for-each></select></td>
								<td class="tablebody2" width="50%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>身后：<select id="PhotoBodyBack" name="PhotoBodyBack" onchange="selBodyBack('{/Plus_Avatar/AvatarInfo/@LocalPic}','{/Plus_Avatar/AvatarInfo/@PicPath}',this.options[this.selectedIndex].value)"><option value=""><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyBack = ''"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>空白身后</option><xsl:for-each select="/Plus_Avatar/PhotoBodyBackList/PhotoBodyBack"><xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0' or @VIP = '0'"><option value="{@ID}.{@Content}"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyBack = @ID"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@Name"/></option></xsl:if></xsl:for-each></select></td>
							</tr>
						</table></td>
					</tr>
					<tr height="30">
						<td class="tablebody2" align="right">前部效果：</td>
						<td class="tablebody2" align="left"><table width="100%" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="tablebody2" width="50%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>前景：<select id="PhotoFg" name="PhotoFg" onchange="selFg('{/Plus_Avatar/AvatarInfo/@LocalPic}','{/Plus_Avatar/AvatarInfo/@PicPath}',this.options[this.selectedIndex].value)"><option value=""><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoForeground = ''"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>空白前景</option><xsl:for-each select="/Plus_Avatar/PhotoForegroundList/PhotoForeground"><xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0' or @VIP = '0'"><option value="{@ID}.{@Content}"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoForeground = @ID"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@Name"/></option></xsl:if></xsl:for-each></select></td>
								<td class="tablebody2" width="50%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>身前：<select id="PhotoBodyFore" name="PhotoBodyFore" onchange="selBodyFore('{/Plus_Avatar/AvatarInfo/@LocalPic}','{/Plus_Avatar/AvatarInfo/@PicPath}',this.options[this.selectedIndex].value)"><option value=""><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyFront = ''"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>空白身前</option><xsl:for-each select="/Plus_Avatar/PhotoBodyFrontList/PhotoBodyFront"><xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0' or @VIP = '0'"><option value="{@ID}.{@Content}"><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoBodyFront = @ID"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@Name"/></option></xsl:if></xsl:for-each></select></td>
							</tr>
						</table></td>
					</tr>
					<tr height="30">
						<td class="tablebody2" align="right">上传背景：</td>
						<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><iframe name="ad" frameborder="0" width="98%" height="24" scrolling="no" src="Plus_Avatar_Upload.asp"></iframe></td>
					</tr>
				</xsl:if>
				<tr height="{/Plus_Avatar/AvatarInfo/@PhotoHeight + 20}">
				<xsl:choose>
				<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '497' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner = '1' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0'">
					<td class="tablebody2" align="center" colspan="2" onselectstart="return false">
						<table cellspacing="2" cellpadding="2" border="0" align="center" width="100%">
							<col width="450"/><col width="*"/>
							<tr>
								<td onselectstart="return false" align="center"><b>照片设计操作说明</b></td>
								<td onselectstart="return false" rowspan="2" id="PhotoTD"></td>
							</tr>
							<tr>
								<td onselectstart="return false">
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text><u>键盘操作</u>：<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>①<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>移动模式下Shift+光标键：移动当前选中的对象一个象素位置<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>②<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>移动模式下Ctrl+光标键：移动当前选中的对象二十个象素位置<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>③<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>裁剪模式下Shift+光标键：对当前选中对象的裁剪区域减小一个象素<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>④<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>裁剪模式下Ctrl+光标键：对当前选中对象的裁剪区域扩大一个象素<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑤<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>缩放模式下Shift+光标键：对当前选中对象缩小一个象素<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑥<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>缩放模式下Ctrl+光标键：对当前选中对象放大一个象素<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text><u>鼠标操作</u>：<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>①<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>鼠标左键：选择照片上的对象（文字、人物和饰物）<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>②<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>鼠标右键：依次旋转当前选择的对象90°、180°、270°、0°<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>③<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Shift+鼠标左键：水平翻转当前选中对象<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>④<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Shift+鼠标右键：垂直平翻转当前选中对象<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑤<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Ctrl+鼠标左键：将当前选中人物向后移动一人<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑥<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Ctrl+鼠标右键：将当前选中人物移到最后边<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑦<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>点击照片上文字、人物和饰物以外位置将取消选择<br/></td>
							</tr>
						</table>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="tablebody2" align="center" colspan="2" onselectstart="return false"><script type="text/javascript" language="javascript">ShowAvatarPhoto(document.getElementById('PhotoTD'),'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@LocalPic"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PicPath"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoPath"/>','0',<xsl:value-of select="count(/Plus_Avatar/CurrentPhotoInfo/PhotoUser)"/>,'<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoWidth"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarWidth"/>','','0');</script></td>
				</xsl:otherwise>
				</xsl:choose>
				</tr>
				<xsl:choose>
				<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">
					<tr height="120">
						<td class="tablebody2" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b>说明</b>：<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>①<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>可以用英文状态下的逗号将参与者隔开实现群发，最多<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:value-of select="/Plus_Avatar/AvatarInfo/@MaxPhotoUserCount"/></b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>个用户，超过的用户将被自动剔除<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>②<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>名称最多<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b>50</b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>个字符，内容最多<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MaxMessageBytes"/></b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>个字符<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>③<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>照相请求的有效期为<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoPeriod"/></b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>天，过期的请求将被自动删除<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>④<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>上传背景的图象文件尺寸必须为<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b>280*226</b>，最大<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoBgSize"/>K</b>，每K<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0'"><xsl:value-of select="/Plus_Avatar/AvatarInfo/@VIPUploadPrice"/></xsl:when><xsl:otherwise><xsl:value-of select="/Plus_Avatar/AvatarInfo/@NormalUploadPrice"/></xsl:otherwise></xsl:choose></b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>元<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑤<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>每个参与者收取费用<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0'"><xsl:value-of select="/Plus_Avatar/AvatarInfo/@VIPPhotoPrice"/></xsl:when><xsl:otherwise><xsl:value-of select="/Plus_Avatar/AvatarInfo/@NormalPhotoPrice"/></xsl:otherwise></xsl:choose></b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>元(包括您自己)，您现在有现金<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><span id="MyMoneySpan"><b><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyMoney"/></b></span><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>元<br/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>⑥<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>如果您的请求没有被同意，所有费用作为短消息群发费用扣除，不再退还</td>
					</tr>
					<script type="text/javascript" language="javascript" for="window" event="onload">
					SetupPhotoMyself(document.getElementById("PhotoMyself").checked);
					</script>
				</xsl:when>
				<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '497'">
					<xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner = '1' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0'">
					<script type="text/javascript" language="javascript">
					var AvatarArray = new Array();
					var TempLayer;
					var mouseX, mouseY, isDragging = false
					var isCropping = false, isCroppable = false, CropDirection;
					var isResizing = false, isResizable = false, ResizeDirection;
					var objMoved, objMovedLeft, objMovedTop;
					var objCropped, objCroppedOuterLeft, objCroppedOuterTop, objCroppedOuterWidth, objCroppedOuterHeight, objCroppedInnerLeft, objCroppedInnerTop;
					var objResized, objResizedOuterLeft, objResizedOuterTop, objResizedOuterWidth, objResizedOuterHeight, objCroppedInnerLeft, objCroppedInnerTop, objCroppedInnerWidth, objCroppedInnerHeight;
					var CroppedWidthRate, CroppedLeftRate, CroppedHeightRate, CroppedTopRate;
					</script>
					<script type="text/javascript" language="javascript" for="window" event="onload">
					<xsl:choose>
					<xsl:when test="/Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner = '1' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0' and /Plus_Avatar/CurrentInfo/@CurShopID = '497'">ShowAvatarPhoto(document.getElementById('PhotoTD'),'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@LocalPic"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PicPath"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoPath"/>','1',<xsl:value-of select="count(/Plus_Avatar/CurrentPhotoInfo/PhotoUser)"/>,'<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoWidth"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarWidth"/>','','0');</xsl:when>
					<xsl:otherwise>ShowAvatarPhoto(document.getElementById('PhotoTD'),'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@LocalPic"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PicPath"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoPath"/>','0',<xsl:value-of select="count(/Plus_Avatar/CurrentPhotoInfo/PhotoUser)"/>,'<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoWidth"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarWidth"/>','','0');</xsl:otherwise>
					</xsl:choose>
					document.getElementById("CurrentObject").selectedIndex = 0;
					document.getElementById("CurrentObject").fireEvent("onchange");
					for(var i = 1; i &lt;= <xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoUserCount"/>; i ++) AvatarArray[i - 1] = i;
					for(i = 1; i &lt;= <xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoUserCount"/> - 1; i ++)
						for(var j = i + 1; j &lt;= <xsl:value-of select="/Plus_Avatar/CurrentPhotoInfo/@PhotoUserCount"/>; j ++)
							if(document.getElementById("AvatarBorder_" + AvatarArray[i - 1]).style.zIndex &lt; document.getElementById("AvatarBorder_" + AvatarArray[j - 1]).style.zIndex) {
								TempLayer = AvatarArray[i - 1];
								AvatarArray[i - 1] = AvatarArray[j - 1];
								AvatarArray[j - 1] = TempLayer;
							}
					</script>
					<tr height="40">
						<td class="tablebody2" colspan="2" align="center">
							<table cellpadding="0" cellspacing="0" border="0" style="table-layout:fixed;word-break:break-all">
								<tr height="30">
									<td id="B01" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B01.gif" border="0" oncontextmenu="return false" style="filter:gray" title="移动"/></td>
									<td id="B02" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B02.gif" border="0" oncontextmenu="return false" style="filter:gray" title="裁剪"/></td>
									<td id="B03" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B03.gif" border="0" oncontextmenu="return false" style="filter:gray" title="缩放"/></td>
									<td width="5"></td>
									<td id="B04" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B04.gif" border="0" oncontextmenu="return false" style="filter:gray" title="取消旋转"/></td>
									<td id="B05" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B05.gif" border="0" oncontextmenu="return false" style="filter:gray" title="向右旋转90°"/></td>
									<td id="B06" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B06.gif" border="0" oncontextmenu="return false" style="filter:gray" title="旋转180°"/></td>
									<td id="B07" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B07.gif" border="0" oncontextmenu="return false" style="filter:gray" title="向左旋转90°"/></td>
									<td id="B08" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B08.gif" border="0" oncontextmenu="return false" style="filter:gray" title="水平翻转"/></td>
									<td id="B09" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B09.gif" border="0" oncontextmenu="return false" style="filter:gray" title="垂直翻转"/></td>
									<td width="5"></td>
									<td id="B10" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B10.gif" border="0" oncontextmenu="return false" style="filter:gray" title="移到最前边"/></td>
									<td id="B11" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B11.gif" border="0" oncontextmenu="return false" style="filter:gray" title="向前移动一人"/></td>
									<td id="B12" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B12.gif" border="0" oncontextmenu="return false" style="filter:gray" title="向后移动一人"/></td>
									<td id="B13" width="30" align="center" class="ToolbarDisable"><img src="Dv_Plus/Avatar/Pic/B13.gif" border="0" oncontextmenu="return false" style="filter:gray" title="移到最后边"/></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr height="40">
<td class="tablebody2" colspan="2" align="center">
字体：<select id="FontName" onchange="selFontName(this.options[this.selectedIndex].value)">
<option value="宋体" selected="true">宋体</option>
<option value="仿宋_GB2312">仿宋</option>
<option value="楷体_GB2312">楷体</option>
<option value="黑体">黑体</option>
<option value="隶书">隶书</option>
<option value="Arial">Arial</option>
<option value="Arial Black">Arial Black</option>
<option value="Comic Sans MS">Comic Sans MS</option>
<option value="Courier New">Courier New</option>
<option value="Georgia">Georgia</option>
<option value="Impact">Impact</option>
<option value="Tahoma">Tahoma</option>
<option value="Times New Roman">Times New Roman</option>
<option value="Trebuchet MS">Trebuchet MS</option>
<option value="Script MT Bold">Script MT Bold</option>
<option value="Verdana">Verdana</option>
<option value="Lucida Console">Lucida Console</option>
</select>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
样式：<select id="FontStyle" onchange="selFontStyle(this.options[this.selectedIndex].value)">
<option value="0" selected="true">常规</option>
<option value="1">粗体</option>
<option value="2">斜体</option>
<option value="3">粗斜体</option>
</select>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
大小：<select id="FontSize" onchange="selFontSize(this.options[this.selectedIndex].value)">
<option value="6">6 px</option>
<option value="8">8 px</option>
<option value="9">9 px</option>
<option value="10">10 px</option>
<option value="11">11 px</option>
<option value="12" selected="true">12 px</option>
<option value="14">14 px</option>
<option value="16">16 px</option>
<option value="18">18 px</option>
<option value="20">20 px</option>
<option value="22">22 px</option>
<option value="24">24 px</option>
<option value="26">26 px</option>
<option value="28">28 px</option>
<option value="30">30 px</option>
<option value="32">32 px</option>
<option value="34">34 px</option>
<option value="36">36 px</option>
</select>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
颜色：<input type="text" id="FontColor" size="8" readonly="true"/><input type="button" value="？" id="FontColorButton" onclick="ChangeFontColor()"/>
<input type="checkbox" id="FontHidden" value="1" onclick="chkFontHidden(this.checked)"/>隐藏
</td>
					</tr>
					<tr height="40">
<td class="tablebody2" colspan="2" align="center">
当前对象：<select id="CurrentObject" onchange="selObject(this.options[this.selectedIndex].value)">
<option value="">取消选择</option>
<xsl:for-each select="/Plus_Avatar/CurrentPhotoInfo/PhotoUser">
<option value="Avatar_{position()}">人物：<xsl:value-of select="@UserName"/></option>
</xsl:for-each>
<option value="PhotoName_0">文字：照片名称</option>
<option value="PhotoDate_0">文字：照片时间</option>
<xsl:for-each select="/Plus_Avatar/CurrentPhotoInfo/PhotoUser">
<option value="UserName_{position()}">文字：<xsl:value-of select="@UserName"/></option>
</xsl:for-each>
<option value="Accouterment_1">饰物：身后饰物一</option>
<option value="Accouterment_2">饰物：身后饰物二</option>
<option value="Accouterment_3">饰物：身后饰物三</option>
<option value="Accouterment_4">饰物：身前饰物一</option>
<option value="Accouterment_5">饰物：身前饰物二</option>
<option value="Accouterment_6">饰物：身前饰物三</option>
</select>
<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
选择饰物：<select id="Accouterment" onchange="selAccouterment('{/Plus_Avatar/AvatarInfo/@LocalPic}','{/Plus_Avatar/AvatarInfo/@PicPath}',this.options[this.selectedIndex].value,{/Plus_Avatar/CurrentPhotoInfo/@PhotoUserCount})">
<option value="">不使用饰物</option>
<xsl:for-each select="/Plus_Avatar/PhotoAccoutermentList/PhotoAccouterment">
<xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyVip != '0' or @VIP = '0'"><option value="{@ID}.{@Content}"><xsl:value-of select="@Name"/></option></xsl:if>
</xsl:for-each>
</select>
</td>
					</tr>
					</xsl:if>
				<!-- 设计照片的工具栏  -->
				</xsl:when>
				</xsl:choose>
				<tr height="30">
					<td class="tablebody2" align="center" colspan="2">
						<xsl:choose>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '197'">
							<input type="Submit" value="发送" name="Submit" onclick="return CheckRequest()"/><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><input type="reset" name="Clear" value="清除" onclick="ClearRequest()"/>
						</xsl:when>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '297'">
						<input type="button" name="goback" value="返回" onclick="document.location='Plus_Avatar_PhotoDetail.asp?mysex={/Plus_Avatar/CurrentInfo/@CurMySex}&amp;shopid=297'" title="返回〖发出的请求〗列表"/>
						</xsl:when>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'">
						<input type="Submit" value="确认" name="Submit" title="使用当前的形象参加这个合影"/><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><input type="button" name="goback" value="返回" onclick="document.location='Plus_Avatar_PhotoDetail.asp?mysex={/Plus_Avatar/CurrentInfo/@CurMySex}&amp;shopid=397'" title="返回〖收到的请求〗列表"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
							<xsl:when test="/Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner != '0'"><input type="Submit" value="确认" name="Submit" title="使用当前的设计作为最终的照片"/><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text></xsl:when>
							<xsl:otherwise><xsl:if test="/Plus_Avatar/CurrentPhotoInfo/@PhotoIsDesigned != '0' and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0'"><input type="Submit" value="同意" name="Submit" title="同意当前照片的设计"/><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text></xsl:if></xsl:otherwise>
							</xsl:choose>
							<input type="button" name="goback" value="返回" onclick="document.location='Plus_Avatar_PhotoDetail.asp?mysex={/Plus_Avatar/CurrentInfo/@CurMySex}&amp;shopid=497'" title="返回〖确认的请求〗列表"/>
							<xsl:if test="(/Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished != '0' or /Plus_Avatar/CurrentPhotoInfo/@PhotoIsOwner != '0') and /Plus_Avatar/CurrentPhotoInfo/@PhotoIsFinished = '0' and /Plus_Avatar/CurrentPhotoInfo/@PhotoUserCount &gt; 1 and /Plus_Avatar/CurrentUserInfo/@IsMaster = '1'"><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><input type="checkbox" name="forceagree" value="1"/>强制同意</xsl:if>
						</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>
			</form>
		</xsl:when>
		<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '297' or /Plus_Avatar/CurrentInfo/@CurShopID = '397' or /Plus_Avatar/CurrentInfo/@CurShopID = '497') and /Plus_Avatar/CurrentInfo/@CurPhotoID = ''">
			<table border="0" cellspacing="1" cellpadding="2" class="tableborder1" align="center">
				<col width="*"/><col width="15%"/><col width="10%"/><col width="12%"/><col width="12%"/><col width="15%"/>
				<tr height="25">
					<th colspan="6"><xsl:value-of select="/Plus_Avatar/@ForumName"/>照相馆<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>-<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '297'">发出的请求</xsl:when><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'">收到的请求</xsl:when><xsl:otherwise>确认的请求</xsl:otherwise></xsl:choose></th>
				</tr>
				<tr height="50">
					<td class="tablebody1" colspan="6" align="center">
						<xsl:choose>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '297'">下列请求尚未被所有参与者确认，过期未被确认的请求将被系统自动删除！</xsl:when>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'">下列是希望与您合影的请求，这些请求必须等待您和其他参与者的确认方可，请点击名称后确认请求。</xsl:when>
						<xsl:otherwise>下列您发出的请求已经被所有参与者确认了，请点击名称修改照片的设计。</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr height="25">
					<td class="tablebody2" align="center"><b>名称</b></td>
					<td class="tablebody2" align="center"><b>发起人</b></td>
					<td class="tablebody2" align="center"><b>状态</b></td>
					<td class="tablebody2" align="center"><b>发起时间</b></td>
					<td class="tablebody2" align="center"><b>过期时间</b></td>
					<td class="tablebody2" align="center"><b>参与者</b></td>
				</tr>
				<xsl:choose>
				<xsl:when test="count(/Plus_Avatar/PhotoList/Photo) = 0">
				<tr height="30">
					<td class="tablebody1" colspan="6" align="center">
						<xsl:choose>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '297'">尚未发出任何照相的请求或所有的请求都已得到确认了。</xsl:when>
						<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '397'">没有收到任何照相的请求或所有的请求都已被您确认了。</xsl:when>
						<xsl:otherwise>没有任何确认完毕并等待完成的照相请求或个人写真。</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				</xsl:when>
				<xsl:otherwise>
				<xsl:for-each select="/Plus_Avatar/PhotoList/Photo">
				<tr height="25">
					<td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="Plus_Avatar_PhotoDetail.asp?mysex={/Plus_Avatar/CurrentInfo/@CurMySex}&amp;shopid={/Plus_Avatar/CurrentInfo/@CurShopID}&amp;photoid={@PhotoID}"><xsl:value-of select="@PhotoName"/></a></td>
					<td class="tablebody1" align="center">
						<a href="dispuser.asp?name={@URLEncode}" target="_blank">
							<xsl:attribute name="title">
								<xsl:choose>
								<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID != '497'">已于<xsl:value-of select="@AddDate"/>确认</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
									<xsl:when test="@IsDesigned != '0'">已经完成照片的设计</xsl:when>
									<xsl:otherwise>尚未完成照片的设计</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:choose>
							<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '497' and @IsDesigned = '0') or (/Plus_Avatar/CurrentInfo/@CurShopID != '497' and @IsConfirmed = '0')"><font color="red"><xsl:value-of select="@PhotoSponsor"/></font></xsl:when>
							<xsl:otherwise><xsl:value-of select="@PhotoSponsor"/></xsl:otherwise>
							</xsl:choose>
						</a>
					</td>
					<td class="tablebody1" align="center"><xsl:choose><xsl:when test="@PhotoStatus != '0'">公开</xsl:when><xsl:otherwise>保密</xsl:otherwise></xsl:choose></td>
					<td class="tablebody1" align="center"><xsl:value-of select="@AddDate"/></td>
					<td class="tablebody1" align="center"><xsl:value-of select="@EndDate"/></td>
					<td class="tablebody1" align="center">
						<xsl:choose>
						<xsl:when test="@PhotoUserCount = '1'"><font color="gray">个人写真</font></xsl:when>
						<xsl:otherwise>
						<xsl:for-each select="PhotoUser">
						<xsl:if test="position() &gt; 1"><br/></xsl:if>
						<a href="dispuser.asp?name={@URLEncode}" target="_blank">
							<xsl:attribute name="title">
								<xsl:choose>
								<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID != '497'">
									<xsl:choose>
									<xsl:when test="@IsConfirmed != '0'">已于<xsl:value-of select="@ConfirmTime"/>确认</xsl:when>
									<xsl:otherwise>尚未确认</xsl:otherwise>
									</xsl:choose>
									</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
									<xsl:when test="@IsDesigned != '0'">已经同意照片的设计</xsl:when>
									<xsl:otherwise>尚未同意照片的设计</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:choose>
							<xsl:when test="(/Plus_Avatar/CurrentInfo/@CurShopID = '497' and @IsAgreed = '0') or (/Plus_Avatar/CurrentInfo/@CurShopID != '497' and @IsConfirmed = '0')"><font color="red"><xsl:value-of select="@UserName"/></font></xsl:when>
							<xsl:otherwise><xsl:value-of select="@UserName"/></xsl:otherwise>
							</xsl:choose>
						</a>
						</xsl:for-each>
						</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				</xsl:for-each>
				</xsl:otherwise>
				</xsl:choose>
			</table>
			<br/>
			<xsl:call-template name="PageList">
				<xsl:with-param name="CurPage" select="/Plus_Avatar/CurrentInfo/@CurPage"/>
				<xsl:with-param name="PageSize" select="/Plus_Avatar/CurrentInfo/@CurPageSize"/>
				<xsl:with-param name="TotalRec" select="/Plus_Avatar/CurrentInfo/@TotalRec"/>
				<xsl:with-param name="URLStr" select="/Plus_Avatar/CurrentInfo/@CurURLStr"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<table border="0" cellspacing="1" cellpadding="" class="tableborder1" align="center">
				<tr height="25">
					<th colspan="2">
					<xsl:choose>
					<xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '597'">我的虚拟相簿</xsl:when>
					<xsl:otherwise>大家的虚拟相簿</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="/Plus_Avatar/CurrentSearchInfo/@SearchURL != ''">（发起人：[<font color="red"><xsl:value-of select="/Plus_Avatar/CurrentSearchInfo/@SearchSponsor"/></font>]<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>，参与人数：<font color="red"><xsl:value-of select="/Plus_Avatar/CurrentSearchInfo/@SearchUserCount"/></font>，生成图片：<font color="red"><xsl:value-of select="/Plus_Avatar/CurrentSearchInfo/@SearchCreated"/></font>，上传背景：<font color="red"><xsl:value-of select="/Plus_Avatar/CurrentSearchInfo/@SearchUploaded"/></font><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>结果：共<font color="red"><xsl:value-of select="/Plus_Avatar/CurrentInfo/@TotalRec"/></font>条）</xsl:if>
					</th>
				</tr>
				<xsl:for-each select="/Plus_Avatar/PhotoList/Photo">
				<xsl:if test="position() mod 2=1"><xsl:value-of select="$TableTop" disable-output-escaping="yes"/></xsl:if>
					<td class="tablebody1" align="center" width="50%" onselectstart="return false">
					<xsl:attribute name="height"><xsl:choose><xsl:when test="/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1'"><xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoHeight + 159"/></xsl:when><xsl:otherwise><xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoHeight + 138"/></xsl:otherwise></xsl:choose></xsl:attribute>
					<xsl:choose>
					<xsl:when test="@PhotoID != ''">
						<input type="hidden" id="PhotoName_{position()}" value="{@PhotoName}"/>
						<input type="hidden" id="PhotoBg_{position()}" value="{@PhotoBackground}"/>
						<input type="hidden" id="bgfname_{position()}" value="{@PhotoUploadFile}"/>
						<input type="hidden" id="PhotoBodyBack_{position()}" value="{@PhotoBodyBack}"/>
						<input type="hidden" id="PhotoBodyFore_{position()}" value="{@PhotoBodyFront}"/>
						<input type="hidden" id="PhotoFg_{position()}" value="{@PhotoForeground}"/>
						<input type="hidden" id="BgWidth_{position()}" value="{@PhotoBgWidth}"/>
						<input type="hidden" id="BgHeight_{position()}" value="{@PhotoBgHeight}"/>
						<input type="hidden" id="PhotoNameLeft_{position()}" value="{@PhotoNameLeft}"/>
						<input type="hidden" id="PhotoNameWidth_{position()}" value="{@PhotoNameWidth}"/>
						<input type="hidden" id="PhotoNameTop_{position()}" value="{@PhotoNameTop}"/>
						<input type="hidden" id="PhotoNameFont_{position()}" value="{@PhotoNameFontName}"/>
						<input type="hidden" id="PhotoNameSize_{position()}" value="{@PhotoNameFontSize}"/>
						<input type="hidden" id="PhotoNameBold_{position()}" value="{@PhotoNameFontBold}"/>
						<input type="hidden" id="PhotoNameItalic_{position()}" value="{@PhotoNameFontItalic}"/>
						<input type="hidden" id="PhotoNameColor_{position()}" value="{@PhotoNameFontColor}"/>
						<input type="hidden" id="PhotoNameDirection_{position()}" value="{@PhotoNameDirection}"/>
						<input type="hidden" id="PhotoDate_{position()}" value="{@PhotoDate}"/>
						<input type="hidden" id="PhotoDateLeft_{position()}" value="{@PhotoDateLeft}"/>
						<input type="hidden" id="PhotoDateWidth_{position()}" value="{@PhotoDateWidth}"/>
						<input type="hidden" id="PhotoDateTop_{position()}" value="{@PhotoDateTop}"/>
						<input type="hidden" id="PhotoDateFont_{position()}" value="{@PhotoDateFontName}"/>
						<input type="hidden" id="PhotoDateSize_{position()}" value="{@PhotoDateFontSize}"/>
						<input type="hidden" id="PhotoDateBold_{position()}" value="{@PhotoDateFontBold}"/>
						<input type="hidden" id="PhotoDateItalic_{position()}" value="{@PhotoDateFontItalic}"/>
						<input type="hidden" id="PhotoDateColor_{position()}" value="{@PhotoDateFontColor}"/>
						<input type="hidden" id="PhotoDateDirection_{position()}" value="{@PhotoDateDirection}"/>
						<xsl:variable name="ParentPosition"><xsl:value-of select="position()"/></xsl:variable>
						<xsl:for-each select="PhotoUser">
							<input type="hidden" id="UserAvaSetting_{position()}_{$ParentPosition}" value="{@UserAvaSetting}"/>
							<input type="hidden" id="LayerNo_{position()}_{$ParentPosition}" value="{@LayerNo}"/>
							<input type="hidden" id="AvatarOuterLeft_{position()}_{$ParentPosition}" value="{@AvatarOuterLeft}"/>
							<input type="hidden" id="AvatarOuterTop_{position()}_{$ParentPosition}" value="{@AvatarOuterTop}"/>
							<input type="hidden" id="AvatarOuterWidth_{position()}_{$ParentPosition}" value="{@AvatarOuterWidth}"/>
							<input type="hidden" id="AvatarOuterHeight_{position()}_{$ParentPosition}" value="{@AvatarOuterHeight}"/>
							<input type="hidden" id="AvatarInnerLeft_{position()}_{$ParentPosition}" value="{@AvatarInnerLeft}"/>
							<input type="hidden" id="AvatarInnerTop_{position()}_{$ParentPosition}" value="{@AvatarInnerTop}"/>
							<input type="hidden" id="AvatarInnerWidth_{position()}_{$ParentPosition}" value="{@AvatarInnerWidth}"/>
							<input type="hidden" id="AvatarInnerHeight_{position()}_{$ParentPosition}" value="{@AvatarInnerHeight}"/>
							<input type="hidden" id="AvatarDirection_{position()}_{$ParentPosition}" value="{@AvatarDirection}"/>
							<input type="hidden" id="UserName_{position()}_{$ParentPosition}" value="{@UserName}"/>
							<input type="hidden" id="UserNameLeft_{position()}_{$ParentPosition}" value="{@UserNameLeft}"/>
							<input type="hidden" id="UserNameWidth_{position()}_{$ParentPosition}" value="{@UserNameWidth}"/>
							<input type="hidden" id="UserNameTop_{position()}_{$ParentPosition}" value="{@UserNameTop}"/>
							<input type="hidden" id="UserNameFont_{position()}_{$ParentPosition}" value="{@UserNameFont}"/>
							<input type="hidden" id="UserNameSize_{position()}_{$ParentPosition}" value="{@UserNameSize}"/>
							<input type="hidden" id="UserNameBold_{position()}_{$ParentPosition}" value="{@UserNameBold}"/>
							<input type="hidden" id="UserNameItalic_{position()}_{$ParentPosition}" value="{@UserNameItalic}"/>
							<input type="hidden" id="UserNameColor_{position()}_{$ParentPosition}" value="{@UserNameColor}"/>
							<input type="hidden" id="UserNameDirection_{position()}_{$ParentPosition}" value="{@UserNameDirection}"/>
						</xsl:for-each>
						<xsl:for-each select="PhotoAccouterment">
							<input type="hidden" id="AccoutermentSeqNo_{position()}_{$ParentPosition}" value="{@SeqNo}"/>
							<input type="hidden" id="AccoutermentItemID_{position()}_{$ParentPosition}" value="{@ItemID}"/>
							<input type="hidden" id="AccoutermentOuterLeft_{position()}_{$ParentPosition}" value="{@OuterLeft}"/>
							<input type="hidden" id="AccoutermentOuterTop_{position()}_{$ParentPosition}" value="{@OuterTop}"/>
							<input type="hidden" id="AccoutermentOuterWidth_{position()}_{$ParentPosition}" value="{@OuterWidth}"/>
							<input type="hidden" id="AccoutermentOuterHeight_{position()}_{$ParentPosition}" value="{@OuterHeight}"/>
							<input type="hidden" id="AccoutermentInnerLeft_{position()}_{$ParentPosition}" value="{@InnerLeft}"/>
							<input type="hidden" id="AccoutermentInnerTop_{position()}_{$ParentPosition}" value="{@InnerTop}"/>
							<input type="hidden" id="AccoutermentInnerWidth_{position()}_{$ParentPosition}" value="{@InnerWidth}"/>
							<input type="hidden" id="AccoutermentInnerHeight_{position()}_{$ParentPosition}" value="{@InnerHeight}"/>
							<input type="hidden" id="AccoutermentDirection_{position()}_{$ParentPosition}" value="{@Direction}"/>
						</xsl:for-each>
						<table class="tableborder1" border="0" cellspacing="1" cellpadding="0" align="center" style="width:{/Plus_Avatar/AvatarInfo/@PhotoWidth + 34};table-layout:fixed;word-break:break-all">
							<col width="80"/><col width="*"/>
							<tr height="{/Plus_Avatar/AvatarInfo/@PhotoHeight + 24}">
								<td class="tablebody1" align="center" colspan="2"><script type="text/javascript" language="javascript">ShowAvatarPhoto(false,'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@LocalPic"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PicPath"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoPath"/>','0',<xsl:value-of select="@PhotoUserCount"/>,'<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PhotoWidth"/>','<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarWidth"/>','<xsl:value-of select="position()"/>','1');</script></td>
							</tr>
							<tr height="20">
								<td class="tablebody2" align="right"><b>照片名称：</b></td>
								<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="@PhotoName"/></td>
							</tr>
							<tr height="20">
								<td class="tablebody2" align="right"><b>发起时间：</b></td>
								<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="@PhotoDate"/></td>
							</tr>
							<tr height="20">
								<td class="tablebody2" align="right"><b>参与者：</b></td>
								<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="@PhotoParticipator"/></td>
							</tr>
							<xsl:if test="/Plus_Avatar/AvatarInfo/@CanCreateImage != '0'">
							<tr height="20">
								<td class="tablebody2" align="right"><b>照片地址：</b></td>
								<td class="tablebody2" align="left"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								<xsl:choose>
								<xsl:when test="@PhotoURL = ''"><font color="gray">照片尚未生成</font></xsl:when>
								<xsl:otherwise><a href="{/Plus_Avatar/AvatarInfo/@PhotoPath}{@PhotoURL}" target="_blank"><font color="blue"><b>查看和下载照片</b></font></a></xsl:otherwise>
								</xsl:choose>
								</td>
							</tr>
							</xsl:if>
							<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1'">
							<tr height="30">
								<td class="tablebody1" align="center" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><input type="button" value="删除" onclick="ConfirmDeletePhoto('{@PhotoID}','{/Plus_Avatar/CurrentInfo/@CurShopID}')" title="删除这张照片"/><xsl:if test="/Plus_Avatar/AvatarInfo/@CanCreateImage != '0'"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><input type="button" value="重印" onclick="PlusOpen('Plus_Avatar_PhotoSave.asp?action=RebuildPhoto&amp;photoid={@PhotoID}',500,400)" title="重印这张照片"/></xsl:if>
								<xsl:if test="@PhotoIsOwner = '1' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1'">
								<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								<xsl:choose>
								<xsl:when test="@PhotoStatus = '1'"><input type="button" value="隐藏" onclick="PlusOpen('Plus_Avatar_PhotoSave.asp?action=SecretPhoto&amp;photoid={@PhotoID}',500,400)" title="隐藏这张照片"/></xsl:when>
								<xsl:otherwise><input type="button" value="公开" onclick="PlusOpen('Plus_Avatar_PhotoSave.asp?action=PublicPhoto&amp;photoid={@PhotoID}',500,400)" title="公开这张照片"/></xsl:otherwise>
								</xsl:choose>
								</xsl:if>
								</td>
							</tr>
							</xsl:if>
						</table>
					</xsl:when>
					<xsl:otherwise>
						<table class="tableborder1" border="0" cellspacing="1" cellpadding="0" align="center" style="width:{/Plus_Avatar/AvatarInfo/@PhotoWidth + 34};table-layout:fixed;word-break:break-all">
							<col width="80"/><col width="*"/>
							<tr height="{/Plus_Avatar/AvatarInfo/@PhotoHeight + 24}">
								<td class="tablebody1" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							<tr height="20">
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							<tr height="20">
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							<tr height="20">
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							<tr height="20">
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
								<td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							<xsl:if test="/Plus_Avatar/CurrentInfo/@CurShopID = '597' or /Plus_Avatar/CurrentUserInfo/@IsMaster = '1'">
							<tr height="30">
								<td class="tablebody1" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
							</tr>
							</xsl:if>
						</table>
					</xsl:otherwise>
					</xsl:choose>
					</td>
				<xsl:if test="position() mod 2=0"><xsl:value-of select="$TableBottom" disable-output-escaping="yes"/></xsl:if>
				</xsl:for-each>
				<form id="PhotoSearch" method="get" action="Plus_Avatar_PhotoDetail.asp">
				<input type="hidden" name="shopid" value="{/Plus_Avatar/CurrentInfo/@CurShopID}"/>
				<input type="hidden" name="mysex" value="{/Plus_Avatar/CurrentInfo/@CurMySex}"/>
				<input type="hidden" name="search_Sponsor" value=""/>
				<input type="hidden" name="selUserCount_L" value=""/>
				<input type="hidden" name="selUserCount_H" value=""/>
				<input type="hidden" name="selURL" value=""/>
				<input type="hidden" name="selUpload" value=""/>
				</form>
			</table>
			<br/>
			<xsl:call-template name="PageList">
				<xsl:with-param name="CurPage" select="/Plus_Avatar/CurrentInfo/@CurPage"/>
				<xsl:with-param name="PageSize" select="/Plus_Avatar/CurrentInfo/@CurPageSize"/>
				<xsl:with-param name="TotalRec" select="/Plus_Avatar/CurrentInfo/@TotalRec"/>
				<xsl:with-param name="URLStr" select="/Plus_Avatar/CurrentInfo/@CurURLStr"/>
			</xsl:call-template>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="PageList">
		<xsl:param name="CurPage"/>
		<xsl:param name="PageSize"/>
		<xsl:param name="TotalRec"/>
		<xsl:param name="URLStr"/>
		<xsl:variable name="PageCount">
			<xsl:choose>
			<xsl:when test="$TotalRec mod $PageSize=0"><xsl:value-of select="$TotalRec  div $PageSize"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="floor($TotalRec  div $PageSize)+1"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<table class="Tableborder5" cellpadding="0" cellspacing="1" align="center"><form action="{$URLStr}" method="post" name="PageForm">
			<tr align="center" height="20">
				<td class="tabletitle1" title="合计数"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="$TotalRec"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
				<td class="tabletitle1" title="本页数"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="$CurPage = $PageCount"><xsl:value-of select="$TotalRec - ($PageSize*($CurPage - 1))"/></xsl:when><xsl:otherwise><xsl:value-of select="$PageSize"/></xsl:otherwise></xsl:choose><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
				<td class="tabletitle1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="$CurPage"/>/<xsl:value-of select="$PageCount"/>页<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
				<xsl:if test="$CurPage='1'"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><img src="images/pagelist/First.gif" border="0" alt=""/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<xsl:if test="$CurPage!='1'"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="{$URLStr}&amp;page=1"><img src="images/pagelist/First.gif" border="0" alt="首页"/></a><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<xsl:if test="$CurPage &gt; 11"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="{$URLStr}&amp;page={$CurPage - 10}"><img src="images/pagelist/Previous.gif" border="0" alt="前十页"/></a><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<xsl:variable name="StartPage"><xsl:choose><xsl:when test="$CurPage &lt; 6">1</xsl:when><xsl:otherwise><xsl:value-of select="$CurPage - 5"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable name="EndPage"><xsl:choose><xsl:when test="$StartPage + 9 &lt; $PageCount"><xsl:value-of select="$StartPage + 9"/></xsl:when><xsl:otherwise><xsl:value-of select="$PageCount"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:call-template name="ShowOnePage"><xsl:with-param name="StartPage" select="$StartPage"/><xsl:with-param name="EndPage" select="$EndPage"/><xsl:with-param name="URLStr" select="$URLStr"/><xsl:with-param name="CurPage" select="$CurPage"/></xsl:call-template>
				<xsl:if test="$PageCount &gt; $CurPage + 10"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="{$URLStr}&amp;page={$CurPage + 10}"><img src="images/pagelist/Next.gif" border="0" alt="下十页"/></a><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<xsl:if test="$CurPage != $PageCount"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="{$URLStr}&amp;page={$PageCount}"><img src="images/pagelist/Last.gif" border="0" alt="尾页"/></a><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<xsl:if test="$CurPage = $PageCount"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><img src="images/pagelist/Last.gif" border="0" alt=""/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
				<td class="tablebody1"><input type="text" name="page" size="1" value="{$CurPage}" class="PageInput"/><input type="submit" value="GO" name="submit" class="PageInput"/></td>
			</tr>
		</form></table>
	</xsl:template>
	<xsl:template name="ShowOnePage">
		<xsl:param name="StartPage"/>
		<xsl:param name="EndPage"/>
		<xsl:param name="URLStr"/>
		<xsl:param name="CurPage"/>
		<xsl:if test="$CurPage != $StartPage"><td class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><a href="{$URLStr}&amp;page={$StartPage}"><xsl:value-of select="$StartPage"/></a><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
		<xsl:if test="$CurPage = $StartPage"><td class="tablebody2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><font class="normalTextSmall"><u><b><xsl:value-of select="$StartPage"/></b></u></font><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></xsl:if>
		<xsl:if test="$EndPage &gt; $StartPage">
			<xsl:call-template name="ShowOnePage">
				<xsl:with-param name="StartPage" select="$StartPage+1"/>
				<xsl:with-param name="EndPage" select="$EndPage"/>
				<xsl:with-param name="URLStr" select="$URLStr"/>
				<xsl:with-param name="CurPage" select="$CurPage"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>